## ros-humble-rmw-dds-common 1.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw_dds_common)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw REQUIRED)
find_package(rosidl_default_generators REQUIRED)

ament_export_dependencies(ament_cmake_core)
ament_export_dependencies(rcpputils)
ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)

rosidl_generate_interfaces(
  ${PROJECT_NAME}
  "msg/Gid.msg"
  "msg/NodeEntitiesInfo.msg"
  "msg/ParticipantEntitiesInfo.msg"
)

add_library(${PROJECT_NAME}_library SHARED
  src/gid_utils.cpp
  src/graph_cache.cpp
  src/qos.cpp
  src/security.cpp
  src/time_utils.cpp)

set_target_properties(${PROJECT_NAME}_library
  PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
target_link_libraries(${PROJECT_NAME}_library PUBLIC
  rcutils::rcutils
  rmw::rmw)
target_link_libraries(${PROJECT_NAME}_library PRIVATE
  rcpputils::rcpputils)
target_include_directories(${PROJECT_NAME}_library
  PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")

# Wait for all rosidl generators to finish before building this library
add_dependencies(${PROJECT_NAME}_library
  ${PROJECT_NAME})

# Depend on the generated C++ messages
rosidl_get_typesupport_target(cpp_typesupport_target "${PROJECT_NAME}" "rosidl_typesupport_cpp")
target_link_libraries(${PROJECT_NAME}_library PUBLIC
  ${cpp_typesupport_target})

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}_library
  PRIVATE "RMW_DDS_COMMON_BUILDING_LIBRARY")

install(
  TARGETS ${PROJECT_NAME}_library EXPORT ${PROJECT_NAME}_library
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(${PROJECT_NAME}_library)

# Export modern CMake targets
ament_export_targets(${PROJECT_NAME}_library)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(performance_test_fixture REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS performance_test_fixture::performance_test_fixture
    INTERFACE_INCLUDE_DIRECTORIES)

  ament_add_gmock(test_graph_cache test/test_graph_cache.cpp)
  if(TARGET test_graph_cache)
    target_link_libraries(test_graph_cache ${PROJECT_NAME}_library osrf_testing_tools_cpp::memory_tools)
    target_compile_definitions(test_graph_cache PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
  endif()

  ament_add_gmock(test_gid_utils test/test_gid_utils.cpp)
  if(TARGET test_gid_utils)
    target_link_libraries(test_gid_utils ${PROJECT_NAME}_library)
  endif()

  ament_add_gmock(test_qos test/test_qos.cpp)
  if(TARGET test_qos)
    target_link_libraries(test_qos ${PROJECT_NAME}_library)
  endif()

  ament_add_gmock(test_time_utils test/test_time_utils.cpp)
  if(TARGET test_time_utils)
    target_link_libraries(test_time_utils ${PROJECT_NAME}_library)
  endif()

  ament_add_gmock(test_security test/test_security.cpp)
  if(TARGET test_security)
    target_link_libraries(test_security
      ${PROJECT_NAME}_library
      rcpputils::rcpputils)
  endif()

  add_performance_test(benchmark_graph_cache test/benchmark/benchmark_graph_cache.cpp)
  if(TARGET benchmark_graph_cache)
    target_link_libraries(benchmark_graph_cache ${PROJECT_NAME}_library)
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-humble-rmw-dds-common (1.6.0-2bookworm) bookworm; urgency=high

  * Depend on target generated by rosidl_typesupport_cpp (#58 <https://github.com/ros2/rmw_dds_common/issues/58>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 16:00:00 -0000

ros-humble-rmw-dds-common (1.5.1-2bookworm) bookworm; urgency=high

  * Use rosidl_get_typesupport_target() and target_link_libraries(). (#57 <https://github.com/ros2/rmw_dds_common/issues/57>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 16:00:00 -0000

ros-humble-rmw-dds-common (1.5.0-2bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#56 <https://github.com/ros2/rmw_dds_common/issues/56>)
  * Contributors: Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rmw-dds-common (1.4.1-2bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#55 <https://github.com/ros2/rmw_dds_common/issues/55>)
  * Contributors: Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rmw-dds-common (1.4.0-2bookworm) bookworm; urgency=high

  * Fix up rmw_dds_common documentation when using rosdoc2 (#54 <https://github.com/ros2/rmw_dds_common/issues/54>)
  * Add support for Certificate Revocation List files (#52 <https://github.com/ros2/rmw_dds_common/issues/52>)
  * Silence clang warning (range-loop-construct) (#53 <https://github.com/ros2/rmw_dds_common/issues/53>)
  * Contributors: Chris Lalancette, Karsten Knese, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 15 Sep 2021 16:00:00 -0000

ros-humble-rmw-dds-common (1.3.0-2bookworm) bookworm; urgency=high

  * Add a common function for security files. (#51 <https://github.com/ros2/rmw_dds_common/issues/51>)
  * Normalize rmw_time_t according to DDS spec (#48 <https://github.com/ros2/rmw_dds_common/issues/48>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 27 Jun 2021 16:00:00 -0000

ros-humble-rmw-dds-common (1.2.1-2bookworm) bookworm; urgency=high

  * Fix one more instance of index.ros.org. (#49 <https://github.com/ros2/rmw_dds_common/issues/49>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#46 <https://github.com/ros2/rmw_dds_common/issues/46>)
  * Contributors: Chris Lalancette, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rmw-dds-common (1.2.0-2bookworm) bookworm; urgency=high

  * Add function for checking QoS profile compatibility (#45 <https://github.com/ros2/rmw_dds_common/issues/45>)
  * Shorten some excessively long lines of CMake (#44 <https://github.com/ros2/rmw_dds_common/issues/44>)
  * Fix test_graph_cache ASAN errors (#41 <https://github.com/ros2/rmw_dds_common/issues/41>) (#42 <https://github.com/ros2/rmw_dds_common/issues/42>)
  * Contributors: Jacob Perron, Scott K Logan, y-okumura-isp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sat, 27 Feb 2021 16:00:00 -0000

ros-humble-rmw-dds-common (1.1.1-2bookworm) bookworm; urgency=high

  * Update QD to QL 1 (#38 <https://github.com/ros2/rmw_dds_common/issues/38>)
  * Contributors: Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-rmw-dds-common (1.1.0-2bookworm) bookworm; urgency=high

  * Create a utility function to limit rmw_time_t to 32-bit values (#37 <https://github.com/ros2/rmw_dds_common/issues/37>)
  * Update maintainers (#34 <https://github.com/ros2/rmw_dds_common/issues/34>)
  * Updated performance section QD (#30 <https://github.com/ros2/rmw_dds_common/issues/30>)
  * Update Quality Declaration to QL2 (#31 <https://github.com/ros2/rmw_dds_common/issues/31>)
  * Added benchmark test to rmw_dds_common (#29 <https://github.com/ros2/rmw_dds_common/issues/29>)
  * Fix potential memory leak (#28 <https://github.com/ros2/rmw_dds_common/issues/28>)
  * Add fault injection macro unit tests (#27 <https://github.com/ros2/rmw_dds_common/issues/27>)
  * Fixed some doxygen warnings (#26 <https://github.com/ros2/rmw_dds_common/issues/26>)
  * Update Quality Declaration to QL3 (#24 <https://github.com/ros2/rmw_dds_common/issues/24>)
  * Update QD and documentation (#23 <https://github.com/ros2/rmw_dds_common/issues/23>)
  * Contributors: Alejandro Hernández Cordero, Chen Lihui, Ivan Santiago Paunovic, Michael Jeronimo, Michel Hidalgo, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 10 Nov 2020 16:00:00 -0000

ros-humble-rmw-dds-common (1.0.1-2bookworm) bookworm; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#21 <https://github.com/ros2/rmw_dds_common/issues/21>)
  * Fix graph cache tests (#22 <https://github.com/ros2/rmw_dds_common/issues/22>)
  * Contributors: Chris Lalancette, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-rmw-dds-common (1.0.0-2bookworm) bookworm; urgency=high

  * Added Doxyfile (#19 <https://github.com/ros2/rmw_dds_common/issues/19>)
  * Improve test coverage. (#20 <https://github.com/ros2/rmw_dds_common/issues/20>)
  * Add README and QUALITY_DECLARATION for current QL level (#17 <https://github.com/ros2/rmw_dds_common/issues/17>)
  * Contributors: Alejandro Hernández Cordero, Michel Hidalgo, Stephen Brawner

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-rmw-dds-common (0.1.0-2bookworm) bookworm; urgency=high

  * Export targets in addition to include directories / libraries (#15 <https://github.com/ros2/rmw_dds_common/issues/15>)
  * Increasing code coverage (#14 <https://github.com/ros2/rmw_dds_common/issues/14>)
  * security-context -> enclave (#13 <https://github.com/ros2/rmw_dds_common/issues/13>)


=== debian/control ===
Source: ros-humble-rmw-dds-common
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-osrf-testing-tools-cpp <!nocheck>, ros-humble-performance-test-fixture <!nocheck>, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rosidl-default-generators, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmw-dds-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rmw, ros-humble-rosidl-default-runtime, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace
Description: Define a common interface between DDS implementations of ROS middleware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmw-dds-common//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmw-dds-common//opt/ros/humble/opt/rmw_dds_common/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
